Bug 1655025 - created backup may contain unexpected strings at the end of file
Summary: created backup may contain unexpected strings at the end of file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: authselect
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Březina
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1655594
TreeView+ depends on / blocked
 
Reported: 2018-11-30 11:08 UTC by Pavel Březina
Modified: 2018-12-29 02:24 UTC (History)
1 user (show)

Fixed In Version: authselect-1.0.2-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1655594 (view as bug list)
Environment:
Last Closed: 2018-12-10 23:19:57 UTC


Attachments (Terms of Use)

Description Pavel Březina 2018-11-30 11:08:29 UTC
Due to a buffer error, created backups may contain unexpected strings at the end of backed up file.

How to reproduce:
$ sudo bin/authselect select sssd --force
Backup stored at /dev/shm/install/var/lib/authselect/backups/2018-11-30-10-54-59.33ajk7
Profile "sssd" was selected.
The following nsswitch maps are overwritten by the profile:
- passwd
- group
- netgroup
- automount
- services

Make sure that SSSD service is configured and enabled. See SSSD documentation for more information.

$ sudo cat /dev/shm/install/var/lib/authselect/backups/2018-11-30-10-54-59.33ajk7/nsswitch.conf
-> the output may contain unexpected string at the end of file

Comment 1 Pavel Březina 2018-11-30 11:08:41 UTC
Upstream ticket:
https://github.com/pbrezina/authselect/issues/123

Comment 2 Fedora Update System 2018-12-03 15:23:14 UTC
authselect-1.0.2-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3603bdbcea

Comment 3 Fedora Update System 2018-12-03 15:28:37 UTC
authselect-1.0.2-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a16334c0f0

Comment 4 Fedora Update System 2018-12-04 03:38:13 UTC
authselect-1.0.2-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a16334c0f0

Comment 5 Fedora Update System 2018-12-04 05:02:25 UTC
authselect-1.0.2-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3603bdbcea

Comment 6 Randy Barlow 2018-12-10 23:19:57 UTC
An update associated with this bug has been pushed to stable.

Comment 7 Fedora Update System 2018-12-29 02:24:58 UTC
authselect-1.0.2-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.